Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class BasicGrailsPluginInfo

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.plugins.BasicGrailsPluginInfo

All Implemented Interfaces:
  GrailsPluginInfo

    public class BasicGrailsPluginInfo
    extends groovy.lang.GroovyObjectSupport

Simple Javabean implementation of the GrailsPluginInfo interface.

Authors:
  Graeme Rocher

Since:
  1.3

Constructor Summary
`BasicGrailsPluginInfo(Resource pluginLocation)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Resource` | `getDescriptor()`
`java.lang.String` | `getFullName()`
`java.lang.String` | `getName()`
`Resource` | `getPluginDir()`
`java.util.Map` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.String` | `getVersion()`
`int` | `hashCode()`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BasicGrailsPluginInfo

    public BasicGrailsPluginInfo(Resource pluginLocation)

Method Detail

### equals

    @java.lang.Override
    public boolean equals(java.lang.Object o)

### getDescriptor

    public Resource getDescriptor()

### getFullName

    public java.lang.String getFullName()

### getName

    public java.lang.String getName()

### getPluginDir

    public Resource getPluginDir()

### getProperties

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public java.util.Map getProperties()

### getProperty

    @java.lang.Override
    public java.lang.Object getProperty(java.lang.String property)

### getVersion

    public java.lang.String getVersion()

### hashCode

    @java.lang.Override
    public int hashCode()

### setName

    public void setName(java.lang.String name)

### setProperty

    @java.lang.Override
    public void setProperty(java.lang.String property, java.lang.Object newValue)

### setVersion

    public void setVersion(java.lang.String version)

Groovy Documentation